V1.0
get
/ec-notifications-svc/rest/v1.0/studies/{studyId}/{mode}/notificationsbroadcast/{id}
Retrieves notification broadcast details by notification broadcast ID.
Request
Path Parameters
-
id(required): string(uuid)
ID of the notification to retrieve (UUID, 32-character uppercase hexadecimal string)Example:
24C9C2B19F1B46ED964CD6653FC10791 -
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
active -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
6153170BDE5244A0BB3DF169C4168483
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successfully retrieved broadcast emails. status: success and errorData: null
Root Schema : NotificationsDetailResponse
Type:
objectAggregated notification broadcast details combined with notification log metadata
Show Source
-
entityId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the entity for which the property applies.Example:
6153170BDE5244A0BB3DF169C4168483 -
entityType: string
Type of entity associated with this notification. Some examples: STUDY, SUBJECT, SITEExample:
STUDY -
messageDescription: string
Detailed notification message text.Example:
Study Design Report is now ready in Clinical One. -
messageSubject: string
Subject or title of the notification message.Example:
S4-Copy | Study Design Report is ready in Clinical One -
notificationsBroadcast: object
NotificationsBroadcast
Notification broadcast record representing a user-targeted notification with audit and delivery metadata
Nested Schema : NotificationsBroadcast
Type:
objectNotification broadcast record representing a user-targeted notification with audit and delivery metadata
Show Source
-
actionId: string
Same value as notification id (UUID, 32-character uppercase hexadecimal string)Example:
24C9C2B19F1B46ED964CD6653FC10791 -
approvalFlag: string
Allowed Values:
[ "Y", "N" ]Approval flag indicating if approval is required.Example:N -
archiveDateTime(required): string
Timestamp when the message was archived.Example:
Sun Dec 31 00:00:00 GMT 3099 -
category: string
Functional category of the notification. Some examples: Shipment Failure, Site state Change, Report Generation etc.Example:
Report Generation -
comments: string
Additional comments for the notification event.Example:
New Report -
emailAttemptDateTime: string
(date-time)
Timestamp of the last email delivery attempt.Example:
2025-11-13T08:28:02.345Z -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing broadcast notification id.Example:
24C9C2B19F1B46ED964CD6653FC10791 -
messageReadDateTime(required): string
Timestamp when the message was read.Example:
Sun Dec 31 00:00:00 GMT 3099 -
notificationDateTime: string
Time when the notification was sent or scheduled.Example:
Thu Nov 13 08:28:02 GMT 2025 -
notificationLogId: string
Unique id (UUID, 32-character uppercase hexadecimal string) linked to notification log.Example:
AB16747FB7DC4F26863979B26F58CBCD -
objectVersionNumber: number
Object version numberExample:
2 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
MODIFIED -
reason: string
ReasonExample:
New Report -
softwareVersionNumber: number
Software version numberExample:
1 -
subscription: string
Allowed Values:
[ "YES", "NO" ]Subscription status for the user to this notification typeExample:YES -
updatedBy: string
The user who last updated the record (UUID, 32-character uppercase hexadecimal string)Example:
225B79C982104415886DE02BC73C1E1E -
userEmailAddress: string
(email)
Target user's email address.Example:
test.user1@oracle.com -
userId: string
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the userExample:
D79F8A8A1B9E4F9A9A25E3B3B1C2D3E4 -
userName: string
Target user's display name.Example:
system ClinicalOne -
versionEnd: string
(date-time)
Version end timestamp for this record.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp for this record.Example:
2025-11-13T08:28:02.345Z
Examples
400 Response
Error in request, check the request
Root Schema : NotificationResponse
Type:
objectStandard wrapper for API responses. Contains the request processing status, the result payload for successful requests, and error details when a request fails.
Show Source
-
errorData: object
Error Response
Read Only:
trueStandard error body containing code, message and optional details. -
result: object
result
Read Only:
trueResult payload for the request. The concrete type depends on the endpoint and is described in the corresponding API documentation. -
status: string
Read Only:
trueAllowed Values:[ "success, Failed" ]Status of the request processing. SUCCESS indicates the request was processed without errors. Any other value indicates failure.Example:success
Nested Schema : Error Response
Type:
objectRead Only:
trueStandard error body containing code, message and optional details.
Show Source
-
details: object
details
Read Only:
trueOptional additional details about the error for diagnostics. -
errorCode: string
Read Only:
trueApplication-specific error code representing the failure reason.Example:VALIDATION_ERROR -
errorMessage: string
Read Only:
trueHuman-readable message describing the error.Example:Request payload validation failed
Nested Schema : result
Type:
objectRead Only:
trueResult payload for the request. The concrete type depends on the endpoint and is described in the corresponding API documentation.
Nested Schema : details
Type:
objectRead Only:
trueOptional additional details about the error for diagnostics.
Examples